From 5f96043e1c6ba52949a23bd6127ecb15d4645f87 Mon Sep 17 00:00:00 2001
From: Peter Lemenkov <lemenkov@gmail.com>
Date: Mon, 30 Jan 2012 15:12:39 +0400
Subject: [PATCH 1/3] Initial commit of autotools

Signed-off-by: Peter Lemenkov <lemenkov@gmail.com>
---
 Makefile.am         |    1 +
 autogen.sh          |   10 ++++++
 configure.ac        |   24 +++++++++++++++
 source/Makefile.am  |   78 +++++++++++++++++++++++++++++++++++++++++++++++++++
 source/libasl.pc.in |    9 ++++++
 5 files changed, 122 insertions(+), 0 deletions(-)
 create mode 100644 Makefile.am
 create mode 100755 autogen.sh
 create mode 100644 configure.ac
 create mode 100644 source/Makefile.am
 create mode 100644 source/libasl.pc.in

diff --git a/Makefile.am b/Makefile.am
new file mode 100644
index 0000000..4b48b24
--- /dev/null
+++ b/Makefile.am
@@ -0,0 +1 @@
+SUBDIRS = source
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..d5b72ff
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+[ -f AUTHORS ] || touch AUTHORS
+[ -f NEWS ] || touch NEWS
+[ -f README ] || touch README
+[ -f ChangeLog ] || touch ChangeLog
+libtoolize
+aclocal
+automake --add-missing --copy
+autoconf
+./configure ${@}
diff --git a/configure.ac b/configure.ac
new file mode 100644
index 0000000..a3caf4a
--- /dev/null
+++ b/configure.ac
@@ -0,0 +1,24 @@
+AC_INIT([libasl], [1.0.43], [], [libasl], [http://stlab.adobe.com/])
+
+AC_CANONICAL_TARGET
+
+AM_INIT_AUTOMAKE([dist-bzip2 tar-ustar])
+
+AC_SUBST(LIBASL_VERSION_INFO, [0:0:0])
+
+AC_PROG_CXX
+AC_PROG_LIBTOOL
+AC_PROG_INSTALL
+
+AC_LANG_CPLUSPLUS
+
+AC_CHECK_LIB([rt], [main], [], [AC_MSG_ERROR([librt not found.])])
+AC_CHECK_LIB([pthread], [pthread_create], [], [AC_MSG_ERROR([libpthread not found.])])
+
+AC_CONFIG_FILES([
+Makefile
+source/libasl.pc
+source/Makefile
+])
+
+AC_OUTPUT
diff --git a/source/Makefile.am b/source/Makefile.am
new file mode 100644
index 0000000..77132e5
--- /dev/null
+++ b/source/Makefile.am
@@ -0,0 +1,78 @@
+lib_LTLIBRARIES = libasl.la
+
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = libasl.pc
+
+libaslincludedir = $(includedir)/adobe
+libaslinclude_HEADERS = ../adobe/*.hpp
+
+libaslalgorithmincludedir = $(includedir)/adobe/algorithm
+libaslalgorithminclude_HEADERS = ../adobe/algorithm/*.hpp
+
+libaslconfigincludedir = $(includedir)/adobe/config
+libaslconfiginclude_HEADERS = ../adobe/config/select_compiler.hpp
+
+libaslconfigcompilerincludedir = $(includedir)/adobe/config/compiler
+libaslconfigcompilerinclude_HEADERS = ../adobe/config/compiler/gcc.hpp ../adobe/config/compiler/visualc.hpp
+
+libaslcontainerincludedir = $(includedir)/adobe/container
+libaslcontainerinclude_HEADERS = ../adobe/container/*.hpp
+
+libaslfunctionalincludedir = $(includedir)/adobe/functional
+libaslfunctionalinclude_HEADERS = ../adobe/functional/*.hpp
+
+libaslimplementationincludedir = $(includedir)/adobe/implementation
+libaslimplementationinclude_HEADERS = ../adobe/implementation/*.hpp
+
+libasliteratorincludedir = $(includedir)/adobe/iterator
+libasliteratorinclude_HEADERS = ../adobe/iterator/*.hpp
+
+libasltestincludedir = $(includedir)/adobe/test
+libasltestinclude_HEADERS = ../adobe/test/*.hpp
+
+libaslutilityincludedir = $(includedir)/adobe/utility
+libaslutilityinclude_HEADERS = ../adobe/utility/*.hpp
+
+libasl_la_SOURCES = adam.cpp \
+		    adam_evaluate.cpp \
+		    adam_parser.cpp \
+		    any_regular.cpp \
+		    empty.cpp \
+		    eve.cpp \
+		    eve_evaluate.cpp \
+		    eve_parser.cpp \
+		    expression_filter.cpp \
+		    expression_parser.cpp \
+		    extents.cpp \
+		    external_model.cpp \
+		    iomanip.cpp \
+		    iomanip_asl_cel.cpp \
+		    iomanip_javascript.cpp \
+		    iomanip_pdf.cpp \
+		    iomanip_xml.cpp \
+		    istream.cpp \
+		    lex_shared.cpp \
+		    lex_stream.cpp \
+		    localization.cpp \
+		    md5.cpp \
+		    memory.cpp \
+		    name.cpp \
+		    parser_shared.cpp \
+		    string.cpp \
+		    string_pool.cpp \
+		    test_configuration.cpp \
+		    thread_id.cpp \
+		    token.cpp \
+		    typeinfo.cpp \
+		    unicode.cpp \
+		    virtual_machine.cpp \
+		    xml_lex.cpp \
+		    xml_parser.cpp \
+		    xml_token.cpp \
+		    xstring.cpp \
+		    zuid.cpp \
+		    zuid_sys_dep.cpp \
+		    zuid_uuid.cpp
+
+libasl_la_CXXFLAGS = $(AM_LDFLAGS) -I$(top_srcdir)/
+libasl_la_LDFLAGS = $(AM_LDFLAGS) -version-info $(LIBASL_VERSION_INFO)
diff --git a/source/libasl.pc.in b/source/libasl.pc.in
new file mode 100644
index 0000000..f4495ed
--- /dev/null
+++ b/source/libasl.pc.in
@@ -0,0 +1,9 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: libasl
+Description: Adobe Source Libraries
+Version: @PACKAGE_VERSION@
+Libs: -lasl
-- 
1.7.7.6

